Subject: Re: [PATCH net-next v4 5/8] net: fou: regenerate the uAPI from the spec

From: Jakub Kicinski <[email-masked]>
Date: Tue, 24 Jan 2023 16:40:07 -0800

On Tue, 24 Jan 2023 19:50:40 +0100 Johannes Berg wrote:
> On Tue, 2023-01-24 at 18:49 +0100, Alexander Lobakin wrote:
> > From: Jakub Kicinski <[email-masked]>
> > Date: Fri, 20 Jan 2023 09:50:38 -0800
> >   
> > > Regenerate the FOU uAPI header from the YAML spec.
> > > 
> > > The flags now come before attributes which use them,
> > > and the comments for type disappear (coders should look
> > > at the spec instead).  
> > 
> > Sorry I missed the whole history of this topic. Wanted to ask: if we can
> > generate these headers and even C files, why ship the generated with the
> > source code and not generate them during building? Or it's slow and/or
> > requires some software etc.?
> 
> Currently it requires python 3 (3.6+, I'd think?).
> 
> Python is currently not documented as a build requirement in
> Documentation/process/changes.rst afaict.

Yes, I wanted to avoid bundling in changes which could be controversial.
Whether code is generated during build or committed is something we can
revisit at any point.